Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.util
Class HashMapUtils

    java.lang.Object
      org.apache.myfaces.util.HashMapUtils

public class HashMapUtils
extends java.lang.Object

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Anton Koinov (latest modification by $Author: matze $)

Constructor Summary
`protected` | `HashMapUtils()`

Method Summary
`static int` | `calcCapacity(int size)` Calculates initial capacity needed to hold `size` elements in a HashMap or Hashtable without forcing an expensive increase in internal capacity.
`static java.util.HashMap` | `merge(java.util.Map map1, java.util.Map map2)` Creates a new `HashMap` that has all of the elements of `map1` and `map2` (on key collision, the latter override the former).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashMapUtils

    protected HashMapUtils()

Method Detail

### calcCapacity

    public static final int calcCapacity(int size)

  Calculates initial capacity needed to hold `size` elements in a HashMap or Hashtable without forcing an expensive increase in internal capacity. Capacity is based on the default load factor of .75.

  Usage: `Map map = new HashMap(HashMapUtils.calcCapacity(10));```

  Parameters:
    `size` - the number of items that will be put into a HashMap
  Returns:
    initial capacity needed

### merge

    public static java.util.HashMap merge(java.util.Map map1,
                                          java.util.Map map2)

  Creates a new `HashMap` that has all of the elements of `map1` and `map2` (on key collision, the latter override the former).

  Parameters:
    `map1` - the fist hashmap to merge
    `map2` - the second hashmap to merge
  Returns:
    new hashmap

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD